#pragma once

#include "resource.h"
#include <afxwin.h>


class CTransportSocketClient;

// CDlgReconnect dialog

class CDlgReconnect : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CDlgReconnect)

public:
	CDlgReconnect(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgReconnect();

// Dialog Data
	enum { IDD = IDD_RECONNECT_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnReconnect();
	virtual BOOL OnInitDialog();
	void MakeText(CString text);
	void EnableButtons(BOOL bEnable);

	CTransportSocketClient *m_transport;
	CString m_Text;
	afx_msg void OnBnClickedCancel();
	afx_msg void OnStnClickedText();
	CButton m_BtnReconnect;
	CButton m_BtnCancel;
};
